GNU bug report logs - #22362
24.5; emacs --daemon problem -- can't exit emacs

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Live System User <nyc4bos@HIDDEN>; Keywords: moreinfo; merged with #23378, #29548; dated Wed, 13 Jan 2016 09:39:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 22362 23378 29548. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 22362 23378. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 13 Jan 2016 09:38:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 13 04:38:27 2016
Received: from localhost ([127.0.0.1]:47826 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aJHso-0006b7-Q5
	for submit <at> debbugs.gnu.org; Wed, 13 Jan 2016 04:38:27 -0500
Received: from eggs.gnu.org ([208.118.235.92]:50555)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <nyc4bos@HIDDEN>) id 1aJHsm-0006at-PC
 for submit <at> debbugs.gnu.org; Wed, 13 Jan 2016 04:38:25 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <nyc4bos@HIDDEN>) id 1aJHsg-0005Wx-Co
 for submit <at> debbugs.gnu.org; Wed, 13 Jan 2016 04:38:19 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:56673)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <nyc4bos@HIDDEN>) id 1aJHsg-0005Wt-99
 for submit <at> debbugs.gnu.org; Wed, 13 Jan 2016 04:38:18 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:41524)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <nyc4bos@HIDDEN>) id 1aJHse-0008Ua-Qm
 for bug-gnu-emacs@HIDDEN; Wed, 13 Jan 2016 04:38:18 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <nyc4bos@HIDDEN>) id 1aJHsa-0005U3-Ke
 for bug-gnu-emacs@HIDDEN; Wed, 13 Jan 2016 04:38:16 -0500
Received: from omr-a018e.mx.aol.com ([204.29.186.64]:54315)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <nyc4bos@HIDDEN>) id 1aJHsa-0005Sl-Fk
 for bug-gnu-emacs@HIDDEN; Wed, 13 Jan 2016 04:38:12 -0500
Received: from mtaout-aad02.mx.aol.com (mtaout-aad02.mx.aol.com
 [172.26.127.226])
 by omr-a018e.mx.aol.com (Outbound Mail Relay) with ESMTP id 74E2538002B4
 for <bug-gnu-emacs@HIDDEN>; Wed, 13 Jan 2016 04:38:11 -0500 (EST)
Received: from localhost (c-50-163-96-131.hsd1.ma.comcast.net [50.163.96.131])
 (using TLSv1 with cipher AES128-SHA (128/128 bits))
 (No client certificate requested)
 by mtaout-aad02.mx.aol.com (MUA/Third Party Client Interface) with ESMTPSA id
 1D93F38000086; Wed, 13 Jan 2016 04:38:11 -0500 (EST)
From: Live System User <nyc4bos@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.5; emacs --daemon problem -- can't exit emacs
Date: Wed, 13 Jan 2016 04:37:32 -0500
Message-ID: <878u3t4y77.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
x-aol-global-disposition: G
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=mx.aol.com;
 s=20150623; t=1452677891;
 bh=pUKk732eLXrXMVFb58qIWsE9HH4ZtxZvYfdtQDp9F+k=;
 h=From:To:Subject:Message-ID:Date:MIME-Version:Content-Type;
 b=DtZX4Gqw4MAsA9WD5ehczVKL8HWxiYVHl7YIiS2TFzOpUnoihmA7ew0mnSYRfUTW0
 AePtaIDVLC6ltwj3N+eo6pkka3HKnOjNoTRdOTk04sGHEfxpThHFwdpdRM1Kt333Zz
 TK8vs772rYantKKgbOcuSkgCnB0hVACrMx7iV0Co=
x-aol-sid: 3039ac1a7fe256961b0363f1
X-AOL-IP: 50.163.96.131
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.4.x-2.6.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
Cc: nyc4bos@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)


Hi,

While playing around with "emacs --daemon" I wound up getting emacs
in a state where I can't exit emacs.

The error I get is:

   Invalid argument #Nterminal 2> `in get-device-terminal'

I believe these are the steps I did to get in this state:

% emacs --daemon=daemon2
% emacsclient -f ~/emacs.d/server/daemon2 -e "(daemonp)"
(emacs pops up a window)

From a gnome-terminal:
% emacsclient -nw -f ~/emacs.d/server/daemon2 -e "(daemonp)"
(I get an emacs terminal window)
^X^C
^Z
% bg

Now from the emacs X11 frame, any key I press, including M-x,
I get the "invaild argument..." error (see above).

^G shows "Quit" in the echo area, as expected, however, I have to
press ^X^C twice to see the error message "Invalid argument..."
Clicking on the "X" of the frame (close/delete frame) yields
the same result.

I see the "savehist-autosave" process also complain about the
"error running timer `savehist-autosave': (error "Invalid
argument #<terminal 2> in `get-device-terminal'") error
message.

I still have the process running in case someone can help me
debug this (I didn't kill -9 it).

Trying to communicate with it from the command line yeilds:

% emacsclient -f ~/emacs.d/server/daemon2 -e "(daemonp)"
*ERROR*: Terminal is not live, can't create new frames on it


Thanks.



In GNU Emacs 24.5.1 (x86_64-redhat-linux-gnu, GTK+ Version 3.16.6)
 of 2015-09-14 on buildvm-10.phx2.fedoraproject.org
Windowing system distributor `Fedora Project', version 11.0.11701000
Configured using:
 `configure --build=x86_64-redhat-linux-gnu
 --host=x86_64-redhat-linux-gnu --program-prefix=
 --disable-dependency-tracking --prefix=/usr --exec-prefix=/usr
 --bindir=/usr/bin --sbindir=/usr/sbin --sysconfdir=/etc
 --datadir=/usr/share --includedir=/usr/include --libdir=/usr/lib64
 --libexecdir=/usr/libexec --localstatedir=/var
 --sharedstatedir=/var/lib --mandir=/usr/share/man
 --infodir=/usr/share/info --with-dbus --with-gif --with-jpeg --with-png
 --with-rsvg --with-tiff --with-xft --with-xpm --with-x-toolkit=gtk3
 --with-gpm=no build_alias=x86_64-redhat-linux-gnu
 host_alias=x86_64-redhat-linux-gnu 'CFLAGS=-DMAIL_USE_LOCKF -O2 -g
 -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2
 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4
 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1
 -m64 -mtune=generic' LDFLAGS=-Wl,-z,relro'

Important settings:
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: utf-8-unix

Major mode: Group

Minor modes in effect:
  gnus-undo-mode: t
  shell-dirtrack-mode: t
  global-visible-mark-mode: t
  visible-mark-mode: t
  savehist-mode: t
  global-highlight-changes-mode: t
  highlight-changes-visible-mode: t
  global-hl-line-mode: t
  display-time-mode: t
  show-paren-mode: t
  tooltip-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  transient-mark-mode: t

Recent messages:
Reading active file via nndraft...done
Opening nnimap server on gmail...
Server nnimap+gmail previously determined to be down; not retrying
Opening nnimap server on gmail...failed: 
Opening nnimap server on gmail...
Server nnimap+gmail previously determined to be down; not retrying
Opening nnimap server on gmail...failed: 
Checking new news...done
Warning: Opening nnimap server on gmail...failed: ; Server nnimap+gmail previously determined to be down; not retrying; Opening nnimap server on gmail...failed: ; Server nnimap+gmail previously determined to be down; not retrying; Opening nntp server on readfreenews...failed: >>> (error news.readfreenews.net/nntp No address associated with hostname); Server nntp+readfreenews previously determined to be down; not retrying; Opening nntp server on readfreenews...failed: >>> (error news.readfreenews.net/nntp No address associated with hostname); Opening nnimap server on gmail...failed: ; Unable to open server nnimap+gmail due to: gmail/993 No address associated with hostname; Opening nnimap server on dada...failed: ; Opening nnimap server on gmail...failed: ; Unable to open server nnimap+gmail due to: gmail/993 No address associated with hostname
Mark saved where search started

Load-path shadows:
~/.emacs.d/lisp/ntlm hides /usr/share/emacs/24.5/lisp/net/ntlm
~/.emacs.d/site-lisp/auth-source hides /usr/share/emacs/24.5/lisp/gnus/auth-source

Features:
(shadow sort mail-extr emacsbug sendmail misearch multi-isearch nndraft
nnmh nndoc utf-7 rfc2104 nnfolder nnimap utf7 parse-time netrc gnutls
network-stream starttls tls gnus-agent gnus-srvr gnus-score score-mode
nnvirtual gnus-msg gnus-art mm-uu mml2015 mm-view mml-smime smime dig
mailcap nntp gnus-cache epa-file epa epg epg-config sieve sieve-mode
sieve-manage nnir gnus-bogofilter gnus-sum nnoo gnus-group gnus-undo
nnmail mail-source gnus-start gnus-spec gnus-int gnus-range message
rfc822 mml mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231
rfc2047 rfc2045 ietf-drums mailabbrev gmm-utils mailheader gnus-win gnus
gnus-ems nnheader mail-utils benchmark-init-modes bracketed-paste
remote-emacsclient server tramp-sh tramp tramp-compat auth-source eieio
byte-opt bytecomp byte-compile cl-extra cconv eieio-core gnus-util
mm-util mail-prsvr password-cache tramp-loaddefs trampver shell
pcomplete comint format-spec visible-mark savehist hilit-chg wid-edit
hl-line smart-compile ansi-color easy-mmode multi-term cl term easymenu
ehelp ring time edmacro kmacro browse-kill-ring derived disp-table paren
dream-theme init-themes init-xterm init-frame-hooks init-utils
benchmark-init advice help-fns cl-macs gv cl-loaddefs cl-lib
benchmark-init-loaddefs time-date tooltip electric uniquify ediff-hook
vc-hooks lisp-float-type mwheel x-win x-dnd tool-bar dnd fontset image
regexp-opt fringe tabulated-list newcomment lisp-mode prog-mode register
page menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock
font-lock syntax facemenu font-core frame cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese hebrew
greek romanian slovak czech european ethiopic indian cyrillic chinese
case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer nadvice
loaddefs button faces cus-face macroexp files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process dbusbind
gfilenotify dynamic-setting system-font-setting font-render-setting
move-toolbar gtk x-toolkit x multi-tty emacs)

Memory information:
((conses 16 267674 34081)
 (symbols 48 130711 12771)
 (miscs 40 196 202)
 (strings 32 97938 31332)
 (string-bytes 1 3547042)
 (vectors 16 23986)
 (vector-slots 8 619234 14799)
 (floats 8 304 246)
 (intervals 56 480 72)
 (buffers 960 26)
 (heap 1024 44889 8768))




Acknowledgement sent to Live System User <nyc4bos@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#22362; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 3 Dec 2017 21:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.